commit:     c89ce57ac435838ca0e600c4a0c32fe5a9facc67
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Sep 20 08:47:28 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Oct  6 09:26:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c89ce57a

dev-python/pydata-sphinx-theme: bug fix in test phase

Closes: https://bugs.gentoo.org/743694
Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/17608
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.0.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.0.ebuild 
b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.0.ebuild
index cdb917978f5..6a119e929da 100644
--- a/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.0.ebuild
+++ b/dev-python/pydata-sphinx-theme/pydata-sphinx-theme-0.4.0.ebuild
@@ -4,7 +4,6 @@
 EAPI=7
 
 PYTHON_COMPAT=( python3_{7,8} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
 
 inherit distutils-r1
 
@@ -26,3 +25,8 @@ RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
 # ModuleNotFoundError: No module named 'plotly' even if dev-python/plotly is 
installed
 #distutils_enable_sphinx docs dev-python/commonmark dev-python/recommonmark 
dev-python/numpydoc dev-python/jupyter-sphinx dev-python/plotly
 distutils_enable_tests pytest
+
+python_test() {
+       PYTHONPATH="${S}"
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}

Reply via email to